| GET | /RestApi/recycle-bin/items/{id} |
|---|
import java.math.*
import java.util.*
import net.servicestack.client.*
open class GetRecycleBinItem : RecycelBinItemRequestBase()
{
}
open class RecycelBinItemRequestBase
{
var Id:UUID? = null
}
open class RecycleBinItemProxy
{
var Id:UUID? = null
var ProviderName:String? = null
var ItemTypeName:String? = null
var DisplayTypeName:String? = null
var DataItemId:UUID? = null
var ItemTitle:String? = null
var Status:String? = null
var StatusText:String? = null
var ItemLanguage:String? = null
var OwnerName:String? = null
var DateCreated:Date? = null
var ParentTypeName:String? = null
var ParentTitlesPath:String? = null
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/{id} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
providerName: String,
itemTypeName: String,
displayTypeName: String,
itemTitle: String,
status: String,
statusText: String,
itemLanguage: String,
ownerName: String,
dateCreated: 0001-01-01,
parentTypeName: String,
parentTitlesPath: String
}